Subject: [os2genau_digest] No. 1401
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 21 Dec 2006 00:00:45 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Wednesday 20 December 2006
 Number  1401
**************************************************

Subjects for today
 
1  Re:  rexx/enviroment problem ? : Ed Durrant <edurrant at bigpond dot net dot au>
2  Re:  Tesseract OCR : John Angelico" <talldad at kepl dot com dot au>
3  Re:  rexx/enviroment problem ? : Ian Manners" <deadmail>
4  Re:  rexx/enviroment problem ? : Ed Durrant <edurrant at bigpond dot net dot au>
5  Re:  rexx/enviroment problem ? : Ian Manners" <deadmail>

**= Email   1 ==========================**

Date:  Wed, 20 Dec 2006 07:03:46 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  rexx/enviroment problem ?

Ian Manners wrote:
> I changed this rexx file a while ago, and it use to copy
> anything flagged as a virus to c:\tmp but no longer does this :-(
> 
> All I get is an error message in weasel about 'copy' being an
> unknown command......
> 
> I miss my virus collection :-(
> 
> Anyone have any clues ?
> 
> ======= Start File ==========
> /***************************************************************/
> /*             ClamAV Weasel filter                                 */
> /*             (C)2005 Jakub Golab                                  */
> /*     IBM - 15/4/2005, modified by IanBManners to use clamd for speed   */
> /*     IBM - Note, no error is given to sender or receiver, email nulled */
> /*     IBM - Virus hit is logged in clamd.log  and weasel.log           */
> /*  Installation: place the file in Weasel directory, in Weasel         */
> /*  setup type 'clamfilt.cmd' as a stage 4 filter. ClamAV must          */
> /*  be installed in default location and configured properly!           */
> /*                                                                      */
> /*          Include something like this in your startup.cmd             */
> /*               at detach c:\usr\local\clamav\bin\clamd.exe               */
> /****************************************************************/
> 
> CALL RxFuncAdd SysLoadFuncs, rexxutil, sysloadfuncs
> CALL SysLoadFuncs
> 
> PARSE ARG userlist messagefile
> 
> ' at C:\USR\LOCAL\CLAMAV\BIN\clamdscan.exe 'messagefile
> IF RC=1 THEN DO
>         ' at copy 'messagefile' \tmp'
> 	res=LINEOUT(userlist,'550 Viruse Removed.',1)
> 	RETURN 2
> END ELSE RETURN 0
> 
> ======= End File ==========
> 
> Cheers
> Ian Manners
> Tech Fossil (Often  called a Dinosaur) - ancient animal that gets things done
> http://www.os2site dot com/
> 
> 
> OS/2: Bill Gates' worst nightmare!

>  

> 
Is the drive where you have the tmp directory full - or does it contain 
a very large number of files (> 1024 directory entries problem ?).

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Tue, 19 Dec 2006 23:20:57 +1100 (AEDT)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Tesseract OCR

On Tue, 19 Dec 2006 09:33:10 +1100, Alan Duval wrote:

Hi Ian and Alan

>Ian Manners wrote:
>
>>Hi Alan
>>
>>  
>>
>>>Has anyone installed Tesseract OCR?  I note that it has been ported to 
>>>OS/2 but don't know where to download it from. If anyone has  installed 
>>>it would you advise whether it does a good job with OCR?
>>>    
>>>
>>
>> <http://www.fbakan.de>  From Franz Bakan
>>
>>Let us know how you go with it :-)
>>  
>>
>Hi Ian,
>
>Downloaded Tesseract and unzipped it. Then copied  tessdata,  tesseract  
>and tesseract.exe  to
>C:\OCR
>
>Next scanned a typed page with Tame/2 sending the  image'nnn'.tif  to 
>C:\OCR.
>Then opened command line and in C:\OCR typed  tesseract image'nnn'.tif  
>'nnn'  ('nnn' being 046 in this case.
>Found this put 3 files in C:\OCR, these being:   'nnn'.txt,  'nnn'.raw,  
>'nnn'.map.
>Opened 'nnn'.txt in StarOffice and found all words and paragraphs 
>identified  correctly.
>Then scanned a column in the PC User magazine. Again a good result.
>Then scanned column from a local newspaper. Just 2 mistakes so all in 
>all it seems to do a good job.
>It's a bit cumbersome having to switch to command lines and then to word 
>processor to correct mistakes but the Linux buffs will probably develop 
>this further as there's no other decent OCR program in Linux at present.
>I don't know why Tesseract puts the *.map  and  *.raw  files  in the 
>directory.  I just delete them.
>
>Regards,
>
>Alan Duval

Good procedures Alan.

As you implied, program does not require that it be found in "tessdata"
folder to work. It simply puts its output in the same folder as the
program.

I tried to do OS/2 and created a Program Object with a % parameter to allow
drag/n/drop. Program steadfastly refused to recognise d/n/d.

Worked sorta at command line level but as you say it is quite a pain to
have to type at command line.

I have a lot of my image files in Tame/2 tree on another machine in the
network, so paths to the file are looooonnng.

Have to call this a qualified possible.

Until I can make it work with d/n/d I can't get the maximum benefit from
it.

I will have to write to Frank Bakan.

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 20 Dec 2006 12:02:15 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  rexx/enviroment problem ?

Hi Ed

>Is the drive where you have the tmp directory full - or does it contain 
>a very large number of files (> 1024 directory entries problem ?).

C drive has 8G free, 56 files including dirs in the root
D drive has 206G free, 29 files including dirs in the root

tmp dir is on C drive.

The interesting thing is that the script just states that 'copy' is an unknown
command, yet it use to work perfectly but given the time that it hasnt
worked, I have no idea what I might have done. Been rather busy the
last 6 months. cmd.exe hasnt changed, config.sys has
SET OS2_SHELL=C:\OS2\CMD.EXE and its in the path, dpath, and libpaths.

So I figure I must be staring at the cause without seeing it :-(

Cheers
Ian Manners
Tech Fossil (Often  called a Dinosaur) - ancient animal that gets things done
http://www.os2site dot com/

Microsoft is not crooked, just "integrity challenged."
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 20 Dec 2006 14:10:26 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  rexx/enviroment problem ?

Ian Manners wrote:
> Hi Ed
> 
>> Is the drive where you have the tmp directory full - or does it contain 
>> a very large number of files (> 1024 directory entries problem ?).
> 
> C drive has 8G free, 56 files including dirs in the root
> D drive has 206G free, 29 files including dirs in the root
> 
> tmp dir is on C drive.
> 
> The interesting thing is that the script just states that 'copy' is an unknown
> command, yet it use to work perfectly but given the time that it hasnt
> worked, I have no idea what I might have done. Been rather busy the
> last 6 months. cmd.exe hasnt changed, config.sys has
> SET OS2_SHELL=C:\OS2\CMD.EXE and its in the path, dpath, and libpaths.
> 
> So I figure I must be staring at the cause without seeing it :-(
> 
> Cheers
> Ian Manners
> Tech Fossil (Often  called a Dinosaur) - ancient animal that gets things done
> http://www.os2site dot com/
> 
> 
> Microsoft is not crooked, just "integrity challenged."

>  

> 
Ok, having removed the quirky error possibility.

Create a brand new cmd file as below:

/* test rexx */
'echo on'
'copy c:\config.sys con:'
'pause'
quit

see what is displayed - perhaps there's something strange with copy - 
have you got a copy.cmd or copy.exe or copy dot com on the system that 
you're picking up rather than the inbuilt copy command ?

Cheers/2
Ed.
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Wed, 20 Dec 2006 22:40:20 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  rexx/enviroment problem ?

Hi Ed

>Ok, having removed the quirky error possibility.
>Create a brand new cmd file as below:
>
>/* test rexx */
>see what is displayed - perhaps there's something strange with copy - 
>have you got a copy.cmd or copy.exe or copy dot com on the system that 
>you're picking up rather than the inbuilt copy command ?

That actually works fine, tried that previously and did a dir/s copy.*
on 3 main drives with no results BUT you got me thinking, I think
it may have happened about the time I took weasel out of the startup.cmd
and left it in the startup folder, quick test by using your file, both as a cmd
and after using rexx2exe, and double clicked on it from the desktop, and
 ..... bugger, it worked, ruled that one out but just incase I started weasel
from the command prompt with 

 at start /min weasel.exe  still no luck with that.

Weasel hasnt changed for a couple of years now but clamav has, so
I'm left with the possibility that ClamAV demon is flushing the enviroment
once its finished, or some wierd thing.

I might have to setup a test weasel and clamav on another PC, as I dont
want to start messing with live email on the server, and try putting some
env test redirects to a log file in it.

Cheers
Ian Manners
Tech Fossil (Often  called a Dinosaur) - ancient animal that gets things done
http://www.os2site dot com/

"I'm not the one that misplaced the Deltivid asteroid belt!" - Q
----------------------------------------------------------------------------------